;hotkeys to press particular buttons on Derek Sabatke's "slightly more than basic input" (SMTBI) Mathematica Pallette
;under Windows operating systems.
;Would be much nicer if Mathematica had a mechanism for assigning keyboard shortcuts to buttons, but this works.
;The Mathematica ctrl+. shortcut (which selects next higher level of an expression) may be useful with these.
;ds 2006/10/25 12:06

;A stand-alone executable is included with this script.  Alternately the text version can be run on systems with AutoHotkey
;installed (see http://www.autohotkey.com/).

;Hotkey assignments can easily be changed by modifying the characters preceding :: in the start of each block below.
;^ means the control key
;! means the alt key
;# means the windows (start menu) key
;+ means the shift key
;See http://www.autohotkey.com/docs/Hotkeys.htm for details.

#IfWinActive, ahk_class NotebookFrame

^#f::    ;enclose in function
CoordMode, Mouse, Screen
MouseGetPos, xpos, ypos     ; record current mouse position in screen coordinates.
WinActivate, SMTBI, 
CoordMode, Mouse, Relative
click  34, 218
CoordMode, Mouse, Screen
MouseMove, xpos, ypos, 0    ; move mouse back to starting location
return

^#b::    ;enclose in curly braces
CoordMode, Mouse, Screen
MouseGetPos, xpos, ypos
WinActivate, SMTBI, 
CoordMode, Mouse, Relative
click  80, 218
CoordMode, Mouse, Screen
MouseMove, xpos, ypos, 0    ; move mouse back to starting location
return

^#p::    ;enclose in parentheses
CoordMode, Mouse, Screen
MouseGetPos, xpos, ypos
WinActivate, SMTBI, 
CoordMode, Mouse, Relative
click  34,  238
CoordMode, Mouse, Screen
MouseMove, xpos, ypos, 0    ; move mouse back to starting location
return

^#c::    ;enclose in comments delimeters
CoordMode, Mouse, Screen
MouseGetPos, xpos, ypos
WinActivate, SMTBI, 
CoordMode, Mouse, Relative
click  80, 238
CoordMode, Mouse, Screen
MouseMove, xpos, ypos, 0    ; move mouse back to starting location
return

^#q::    ;enclose in quotes
CoordMode, Mouse, Screen
MouseGetPos, xpos, ypos
WinActivate, SMTBI, 
CoordMode, Mouse, Relative
click  34, 253
CoordMode, Mouse, Screen
MouseMove, xpos, ypos, 0    ; move mouse back to starting location
return

^#h::    ;enclose in place holders
CoordMode, Mouse, Screen
MouseGetPos, xpos, ypos
WinActivate, SMTBI, 
CoordMode, Mouse, Relative
click  80, 253
CoordMode, Mouse, Screen
MouseMove, xpos, ypos, 0    ; move mouse back to starting location
return
